XGE(4)

NAME
xge - Neterion Xframe/Xframe II 10Gb Ethernet device

SYNOPSIS
xge* at pci?

DESCRIPTION
The xge device driver provides support for various NICs based on the Neterion Xframe and Xframe II controller chips, including the following:

•   Fujitsu PRIMEQUEST 10GBASE-SR LAN Card (Xframe II)
•   Hitachi PCI-X 10 Gigabit Ethernet Adapter (Xframe II)
•   HP AB287A 10 Gigabit Ethernet Adapter (Xframe)
•   IBM 10GbE SR Server Adapter (Xframe II)
•   IBM 10 Gb Ethernet-LR PCI-X 2.0 DDR Adapter (Xframe II)
•   IBM 10 Gb Ethernet-SR PCI-X 2.0 DDR Adapter (Xframe II)
•   Neterion/S2io Xframe (Xframe)
•   Neterion Xframe II (Xframe II)
•   Neterion Xframe II Sun Fire (Xframe II)
•   Neterion Xframe E (Xframe II)
•   SGI 10 Gigabit Ethernet Network Adapter (Xframe)

The Xframe and Xframe II support IPv4 transmit/receive IP/TCP/UDP checksum offload and VLAN tag insertion and stripping.

SEE ALSO
arp(4), ifmedia(4), netintro(4), pci(4), ifconfig(8)

HISTORY
The xge driver first appeared in OpenBSD 4.0.

AUTHORS
-nosplit The xge driver was written by Anders Magnusson <ragge@ludd.luth.se> and ported to OpenBSD by Brad Smith <brad@openbsd.org>.